#include "cmlib_private_config.hpp"

#include <QCoreApplication>
#include <QDebug>

// function args by ref
int sum(QStringList sl)
{
	int s = 0;
	for(auto str: sl)
	{
		s += str.toInt();
	}
	return s;
}


int main( int argc, char** argv )
{
	QCoreApplication app( argc, argv );

	// qt-keywords
	QList<int> il;
	il << 111 << 222 << 333;
	foreach(int i, il)
	{
		qDebug() << i;
	}

	// loop add ref
	QStringList sl;
	sl << "111" << "222" << "333";
	for (const auto &s: sl)
	{
		qDebug() << s;
	}

	// loop qasconst
	for (auto s: sl)
	{
		s.append("0");
	}

	// function args by ref
	auto ir = sum(sl);

	return( 0 );
}
